Bug 845158 - CLI and REST behave differently on app events
CLI and REST behave differently on app events
Status: CLOSED NOTABUG
Product: OKD
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 22:50 EDT by Rajat Chopra
Modified: 2015-05-14 22:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 10:57:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajat Chopra 2012-08-01 22:50:15 EDT
Description of problem:
App events like 'stop' do not behave the same if sent through client tools versus REST API

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app with mysql embedded
2. Stop it through client tools, it stops only the app
3. Start back again and stop through REST api, it stops all cartridges
  
Actual results:
The behaviour is inconsistent

Expected results:


Additional info:
Comment 1 John Poelstra 2012-08-02 13:06:10 EDT
moving to low severity
Comment 2 Lili Nader 2012-08-15 16:35:40 EDT
CLI tools need to call the new REST API to start/stop application
Comment 3 Clayton Coleman 2012-08-16 10:57:38 EDT
there are stories to cover this change.

Note You need to log in before you can comment on or make changes to this bug.